#### Linux From Scratch - Version 10.1-rc1

### Chapter 6. Cross Compiling Temporary Tools

- Prev

  File-5.39

- Next

  Gawk-5.1.0

- Up
- Home

# 6.8. Findutils-4.8.0

The Findutils package contains programs to find files. These programs are provided to recursively search through a directory tree and to create, maintain, and search a database (often faster than the recursive find, but is unreliable if the database has not been recently updated).

Approximate build time: 0.2 SBU
Required disk space: 42 MB

## 6.8.1. Installation of Findutils

Prepare Findutils for compilation:

    ./configure --prefix=/usr   \
                --host=$LFS_TGT \
                --build=$(build-aux/config.guess)

Compile the package:

    make

Install the package:

    make DESTDIR=$LFS install

Move the executable to its final expected location:

    mv -v $LFS/usr/bin/find $LFS/bin
    sed -i 's|find:=${BINDIR}|find:=/bin|' $LFS/usr/bin/updatedb

Details on this package are located in Section 8.56.2, “Contents of Findutils.”

- Prev

  File-5.39

- Next

  Gawk-5.1.0

- Up
- Home